# $Revision: 1.90 $, $Date: 2010/02/07 19:12:18 $
#
# Conditional build:
%bcond_without	static_libs	# without static version
#
Summary:	MSWord Document to HTML converter
Summary(pl.UTF-8):	Konwerter dokumentów MS Worda do HTML
Summary(pt_BR.UTF-8):	Conversor de arquivos formato Word (6/7/8/9) para html
Name:		wv
Version:	1.2.4
Release:	6
License:	GPL
Group:		Applications/Text
Source0:	http://dl.sourceforge.net/wvware/%{name}-%{version}.tar.gz
# Source0-md5:	c1861c560491f121e12917fa76970ac5
Patch0:		%{name}-pc.patch
URL:		http://wvware.sourceforge.net/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	glib2-devel >= 1:2.12.2
BuildRequires:	libgsf-devel >= 1.14.1
BuildRequires:	libpng-devel >= 1.2.12
BuildRequires:	libtool
BuildRequires:	libwmf-devel >= 2:0.2.8.4
BuildRequires:	libxml2-devel >= 1:2.6.26
BuildRequires:	pkgconfig
BuildRequires:	zlib-devel
# these are required for full libwmf
BuildRequires:	freetype-devel >= 2.0
BuildRequires:	libjpeg-devel
BuildRequires:	xorg-lib-libX11-devel
Obsoletes:	mswordview
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		specflags_ia32	 -fomit-frame-pointer 

%description
MSWordView is a program that understands the Microsoft Word 8 binary
file format (Office97, Office2000) and is able to convert Word
documents into HTML, which can then be read with a browser.

wv is a suite of programs to help convert Word Documents to HTML.

%description -l pl.UTF-8
MSWordView jest programem, który rozumie binarne dokumenty programu
Microsoft Word 8 (Office97, Office2000) i jest w stanie skonwertować
je do dokumentu HTML, który może być przeczytany w przeglądarce WWW.

wv jest elementem programów, które pomagają przekonwertować dokumenty
Worda do HTML.

%description -l pt_BR.UTF-8
Conversor de arquivos formato Word (6/7/8/9) para html.

%package devel
Summary:	Include files needed to compile
Summary(pl.UTF-8):	Pliki nagłówkowe do biblioteki wv
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.12.2
Requires:	libgsf-devel >= 1.14.1
Requires:	libpng-devel >= 1.2.12
Requires:	libwmf-devel >= 2:0.2.8.4
Requires:	libxml2-devel >= 1:2.6.26
# these are required for full libwmf
Requires:	freetype-devel >= 2.0
Requires:	libjpeg-devel
Requires:	xorg-lib-libX11-devel

%description devel
Contains the header files.

%description devel -l pl.UTF-8
Pakiet tem zawiera pliki nagłówkowe wv.

%package static
Summary:	Static wv libraries
Summary(pl.UTF-8):	Biblioteki statyczne wv
Summary(pt_BR.UTF-8):	Bibliotecas estáticas para desenvolvimento com o wv
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Contains static wv libraries.

%description static -l pl.UTF-8
Pakiet zawiera statyczne biblioteki wv.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with-zlib \
	--with-png \
	--with-libwmf \
	--%{!?with_static_libs:dis}%{?with_static_libs:en}able-static

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -fr $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_bindir}/wv*
%attr(755,root,root) %{_libdir}/libwv-*.so.*.*.*
%{_datadir}/wv
%{_mandir}/man*/*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libwv.so
%{_libdir}/libwv.la
%{_includedir}/wv
%{_pkgconfigdir}/wv-*.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libwv.a
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: wv.spec,v $
Revision 1.90  2010/02/07 19:12:18  arekm
- rel 6; fix paths in pc file

Revision 1.89  2010/01/29 23:25:43  arekm
- release 5

Revision 1.88  2009/06/03 19:47:21  megabajt
- release 4

Revision 1.87  2008/12/04 13:03:29  hawk
- release 3

Revision 1.86  2007-06-19 22:52:20  glen
- rel 2

Revision 1.85  2007/02/12 22:09:21  glen
- tabs in preamble

Revision 1.84  2007/02/12 01:06:38  baggins
- converted to UTF-8

Revision 1.83  2006/10/27 22:59:59  qboosh
- added CVE reference to previous changelog entry

Revision 1.82  2006/10/26 18:46:59  qboosh
- updated to 1.2.4 (crash fixes, incl. CVE-2006-4513)
- removed obsolete gsfinput patch

Revision 1.81  2006/08/29 17:05:55  freetz
- rel.4, added fix (gsfinput patch) solving abiword crasher

Revision 1.80  2006/07/12 19:40:04  freetz
- rel.3, updated deps, --as-needed support

Revision 1.79  2006/03/19 18:09:48  freetz
- rel.2 for rebuild with libgsf 1.14.0

Revision 1.78  2006/03/13 19:33:39  qboosh
- modular xorg

Revision 1.77  2006/03/13 12:07:45  qboosh
- updated to 1.2.1 (minor bugfix release)

Revision 1.76  2005/10/19 07:45:13  arekm
- bump libgsf breq

Revision 1.75  2005/10/19 05:58:16  qboosh
- updated to 1.2.0, removed outdated magick,fixes patches

Revision 1.74  2005/10/03 18:09:59  arekm
- br new imagemagick

Revision 1.73  2005/10/02 20:16:32  arekm
- rel 4

Revision 1.72  2005/01/14 21:20:40  ankry
- rel. 3

Revision 1.71  2005/01/14 11:22:38  qboosh
- -devel R: glib2-devel; libjpeg-devel is required by ImageMagick-devel not wv

Revision 1.70  2005/01/13 22:00:26  grzegol
- fixed typo (s/ImageMagic-devel/ImageMagick-devel)

Revision 1.69  2005/01/13 13:55:49  krzak
- devel require ImageMagic-devel

Revision 1.68  2005/01/13 13:52:32  krzak
- devel require libwmf-devel
- rel 2

Revision 1.67  2004/12/01 20:27:36  qboosh
- updated to 1.0.3 (few fixes they say... and one new compile bug I found)
- updated patches

Revision 1.66  2004/11/27 19:21:10  saq
- massive attack: more BR epoch fixes

Revision 1.65  2004/08/22 17:50:57  qboosh
- updated to 1.0.2 (includes security fix for CAN-2004-0645)
- removed obsolete wrappers patch (applied with links support included as well)

Revision 1.64  2004/06/20 21:37:06  arekm
- fix specflags (quotation here is buggy)

Revision 1.63  2004/06/02 22:07:01  qboosh
- unified bcond (s/static/static_libs/), cleanups
- release 2 to rebuild w/o bogus libexif dep

Revision 1.62  2004/05/09 17:34:02  adgor
- Updated URL

Revision 1.61  2004/03/14 10:47:03  eothane
- silly changelog cleanups and bcond style changes

Revision 1.60  2004/03/12 17:16:29  grzegol
- strict internal deps

Revision 1.59  2003/09/20 12:42:55  gotar
- wrappers patch

Revision 1.58  2003/09/20 11:30:38  gotar
- no BR: {bzip2,libltdl}-devel (1.45),
- BR: zlib-devel.

Revision 1.57  2003/09/20 09:58:40  gotar
- upgraded to 1.0.0,
- BR: lib{jpeg,png}-devel.

Revision 1.56  2003/09/18 09:47:15  krzak
- rel 3

Revision 1.55  2003/06/28 19:36:25  gotar
- -fomit-frame-pointer on ia32

Revision 1.54  2003/06/23 12:09:08  qboosh
- existing docs are back

Revision 1.53  2003/06/23 11:52:08  gotar
- BR: s/static/devel/

Revision 1.52  2003/06/23 09:09:01  aflinta
- don't use expat and libxml2 at the same time, choosen expat

Revision 1.51  2003/06/23 08:21:05  gotar
- added _without_static bcond,
- BR: {bzip2,libltdl}-static,
- switched to glib2,
- release 2.

Revision 1.50  2003/06/23 07:04:04  aflinta
- version 0.7.6

Revision 1.49  2003/05/28 13:02:58  malekith
- massive attack: source-md5

Revision 1.48  2003/05/25 06:28:02  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.47  2003/05/01 13:03:46  gotar
- BR: pkgconfig

Revision 1.46  2003/04/27 14:13:43  qboosh
- 0.7.5, updated patches

Revision 1.45  2003/04/20 22:33:32  qboosh
- bzip2-devel and libltdl-devel aren't directly required by wv - they are
  ImageMagick-specific, so moved them to Requires of ImageMagick-devel

Revision 1.44  2003/04/20 11:50:30  tjbynum
- more BR.

Revision 1.43  2003/04/09 10:48:11  qboosh
- use http for sources from sourceforge

Revision 1.42  2003/02/13 19:37:37  gotar
- cut off Vendor (we are package vendors and developers, program
  author, maintainter or developer info is in it's documentation),
- cosmetics.

Revision 1.41  2003/01/05 22:27:49  qboosh
- removed bogus es summary

Revision 1.40  2003/01/05 21:10:23  qboosh
- 0.7.4, removed obsolete ac25x patch
- added fixes patch (some little bugs that broke build)
- BR: ImageMagick placed in /usr

Revision 1.39  2002/12/08 11:53:21  blues
- spelling fixes by Tomasz "Witek" Wittner <wittt_@poczta.onet.pl>

Revision 1.38  2002/11/25 14:18:46  ankry
- massive attack: no need for 755 for *.la

Revision 1.37  2002/10/09 13:14:50  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.36  2002/09/14 09:55:15  qboosh
- added *.la to -devel, new %%doc; release 2

Revision 1.35  2002/06/23 20:32:37  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.34  2002/05/21 23:15:03  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
               s/^automake -a -c -f/\%\{__automake\}/; \
	       s/^autoconf/\%\{__autoconf\}/"

Revision 1.33  2002/05/12 20:56:21  qboosh
- updated magick patch for ImageMagick 5.4.5 API

Revision 1.32  2002/05/05 00:01:16  qboosh
- updated to 0.7.2, fixed mandir

Revision 1.31  2002/04/28 13:32:18  qboosh
- added ac25x patch needed for autoconf 2.53/automake 1.6
- libpng 1.2.2 support

Revision 1.30  2002/02/22 23:30:00  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.29  2002/02/22 08:37:46  kloczek
- release 2: rebuild against libwmf 0.2.2.

Revision 1.28  2002/02/21 23:28:23  qboosh
- updated to 0.7.1, removed outdated ac_fix and DESTDIR patches
- use system expat and ImageMagick libs (better magick patch)
- enabled libwmf support - works at last

Revision 1.27  2002/01/18 02:15:26  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.26  2001/11/08 06:19:46  kloczek
- updated to 0.7.0,
- added "rm -f missing" on top %build,
- spec adapterized.

Revision 1.25  2001/09/01 13:06:21  qboosh
- 0.6.7, updated ac_fix and magick patches

Revision 1.24  2001/07/17 21:30:05  kloczek
- release 2,
- rebuild against gd 2.0.1,
- added ac_fix patch:
-- removed all silly things on chhecking cc/gcc/$CC use AC_PROG_CC,
-- s/AC_CONFIG_HEADER/AM_CONFIG_HEADER/,
-- add AM_INIT_AUTOMAKE(wv, 0.6.5),
- regenerate ac/am lt files (spec is ac 2.50 ready).

Revision 1.23  2001/06/01 12:57:47  misiek
- removed Build/Requires: iconv

Revision 1.22  2001/05/22 16:07:29  qboosh
- updated to 0.6.5, updated DESTDIR patch
- libwmf support disabled (requires not-yet-existent libwmf >= 0.2.0)
- magick patch to link with ImageMagick (note workaround: run magick test
  before png test - define HasPNG confused autoconf)

Revision 1.21  2001/03/21 02:41:15  kloczek
- release 3,
- rebuild against freetype1,
- temporary commented libxml2-devel BuildRequires rule.

Revision 1.20  2001/03/15 14:29:02  baggins
- buildrequires libxml2-devel

Revision 1.19  2001/03/14 23:50:12  kloczek
- reelease 2.

Revision 1.18  2001/03/14 23:41:01  qboosh
- fixed build problems
- BuildRequires: glib-devel; removed some BRs implied by others

Revision 1.17  2001/03/12 18:14:40  baggins
- updated to 0.6.4

Revision 1.16  2001/02/16 17:22:29  qboosh
- removed libwmf patch (libwmf is now linked properly)
- BuildRequires: autoconf

Revision 1.15  2001/01/26 18:53:59  qboosh
- changed workaround for xpm and libwmf tests (--with-xpm=)
- libwmf.patch: -lxgd -lwmf -ldib is required when linking with -lgdwmf

Revision 1.14  2001/01/18 22:44:47  kloczek
- uncomment "rm -rf $$RPM_BUILD_ROOT" in %clean.

Revision 1.13  2001/01/18 20:39:49  misiek
- require libwmf >= 0.1.21

Revision 1.12  2001/01/18 10:28:04  misiek
- more features enabled. Before sending it to builders libwmf MUST be updated.

Revision 1.11  2000/11/06 07:21:54  kloczek
- updated to 0.6.2,
- use new rpm automation,
- removed outdated gv-exec patch.

Revision 1.10  2000/09/26 16:05:40  wiget
- fixed Requires

Revision 1.9  2000/09/26 15:51:11  tiwek
- updated to 0.6.0

Revision 1.8  2000/06/09 07:55:16  kloczek
- more %%{__make} macros.

Revision 1.7  2000/06/09 07:24:04  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/06/07 02:46:39  kloczek
- spec adapterized.

Revision 1.5  2000/06/03 22:49:17  michuz
- release 3
- spec rewrited

Revision 1.4  2000/04/01 11:16:00  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:55:13  baggins
- translated kloczkish into english

Revision 1.2  1999/11/27 14:24:10  kloczek
- adapter(ized) and partialy rewrited.
Based on spec written by Ryan Weaver <ryanw@infohwy.com>
